package stackjava.com.hibernatedemo;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import stackjava.com.hibernatedemo.entities.Category;
import stackjava.com.hibernatedemo.entities.Product;

public class DemoSelect {

	public static void main(String[] args) {
		EntityManagerFactory entityManagerFactory = Persistence.createEntityManagerFactory("persistence");
		EntityManager entityManager = entityManagerFactory.createEntityManager();
		entityManager.getTransaction().begin();

		Category category = entityManager.find(Category.class, 1);
		System.out.println(category);
		category.getProducts().forEach(p -> System.out.println(p));
		
		System.out.println("-------------------------------");
		Product product = entityManager.find(Product.class, 2);
		System.out.println(product);
		product.getCategories().forEach(c -> System.out.println(c));
		entityManager.close();
		entityManagerFactory.close();
	}

}
