package stackjava.com.hibernatedemo;

import java.util.HashSet;
import java.util.Set;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import stackjava.com.hibernatedemo.entities.Category;
import stackjava.com.hibernatedemo.entities.Product;

public class DemoInsert1 {

	public static void main(String[] args) {
		EntityManagerFactory entityManagerFactory = Persistence.createEntityManagerFactory("persistence");
		EntityManager entityManager = entityManagerFactory.createEntityManager();
		entityManager.getTransaction().begin();

		Category category = new Category("Electronic Device");
		Product product1 = new Product("Television");
		Product product2 = new Product("Iphone");
		Product product3 = new Product("Samsung Galaxy S9");
		
		Set<Product> products = new HashSet<>();
		products.add(product1);
		products.add(product2);
		products.add(product3);
		
		category.setProducts(products);
		entityManager.persist(category);
		entityManager.getTransaction().commit();
		System.out.println("-------------------------------");
		System.out.println(category);
		System.out.println(product1);
		System.out.println(product2);
		System.out.println(product3);
		entityManager.close();
		entityManagerFactory.close();
	}

}
