package stackjava.com.hibernatedemo;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import stackjava.com.hibernatedemo.entities.Category;
import stackjava.com.hibernatedemo.entities.Product;

public class DemoInsert2 {

	public static void main(String[] args) {
		EntityManagerFactory entityManagerFactory = Persistence.createEntityManagerFactory("persistence");
		EntityManager entityManager = entityManagerFactory.createEntityManager();
		entityManager.getTransaction().begin();

		Category category = new Category("Home Applicances");
		
		Product product = entityManager.find(Product.class, 2);
		
		product.getCategories().add(category);
		
		entityManager.getTransaction().commit();
		System.out.println("--------- after insert -------------");
		System.out.println(category);
		System.out.println(product);
		entityManager.close();
		entityManagerFactory.close();
	}

}
